.hero {
  width: 100%;
  height: 700px;
  display: flex;
  align-items: center;
  position: relative;
  overflow: hidden;
}

.hero-container {
  max-width: 1600px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0 auto;
}

.hero-content {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex: 1;
}

.hero-24-7,
.hero-main-heading,
.hero-subheading {
  word-wrap: break-word;
  transition: transform 0.3s ease, color 0.3s ease;
}

.hero-24-7:hover,
.hero-main-heading:hover,
.hero-subheading:hover {
  transform: translateY(-2px); /* Легкое поднятие текста при наведении */
  color: #333333; /* Смена цвета при наведении */
}

.hero-text {
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 17px;
  display: inline-flex;
  order: 1;
}

.hero-text-container {
  display: inline-flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 81px;
}

.hero-24-7 {
  font-size: 65px;
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
}

.hero-main-heading {
  color: black;
  font-size: 65px;
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
  max-width: 682px;
}

.hero-subheading {
  color: #666e67;
  font-size: 22px;
  font-family: "Inter", sans-serif;
  font-weight: 400;
  max-width: 682px;
}

.hero-buttons {
  display: flex;
  gap: 22px;
  margin-top: 82px;
  order: 2;
}

.hero-button {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  text-decoration: none;
  padding: 20px 56px;
  border-radius: 55px;
  transition: background-color 0.3s ease, transform 0.3s ease;
}

.hero-button-master {
  box-shadow: 0px 6px 10.6px rgba(7, 14, 31, 0.25);
  color: white;
  font-size: 26px;
  font-family: "Inter", sans-serif;
  font-weight: 600;
}

.hero-button-phone {
  border-width: 1px;
  border-style: solid;
  font-size: 22px;
  font-family: "Inter", sans-serif;
  font-weight: 500;
}

.hero-button-master:hover {
  background-color: #555555;
  transform: scale(1.05);
}
.hero-button-phone:hover {
  border-color: #555555;
  transform: scale(1.05);
}

.hero-image-container {
  position: absolute;
  z-index: -1;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  order: 3;
  height: 100%;
  max-width: 1032px;
  max-height: 700px;
  border-top-left-radius: 25px;
  border-bottom-left-radius: 25px;
  overflow: hidden;
}

.hero-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  margin-right: -25px;
}

@media (max-width: 1600px) {
  .hero-image-container {
    max-width: 50vw;
    max-height: 100%;
  }
  .hero-main-heading {
    max-width: 50vw;
  }

  .hero-subheading {
    max-width: 50vw;
  }
  .hero-buttons {
    max-width: 50vw;
    flex-wrap: wrap;
  }
}

/* Адаптация для планшетов */
@media (max-width: 1200px) {
  .hero {
    height: auto;
    flex-direction: column;
  }

  .hero-24-7 {
    font-size: 50px;
  }

  .hero-main-heading {
    font-size: 50px;
    max-width: 600px;
  }

  .hero-subheading {
    font-size: 20px;
    max-width: 600px;
  }

  .hero-buttons {
    width: 100%;
    flex-wrap: nowrap;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    margin-top: 40px;
    margin-bottom: 20px;
    max-width: 100%;
    order: 3;
  }

  .hero-image-container {
    position: static;
    max-width: 100vw;
    max-height: 100%;
    border-radius: 15px;
    margin-top: 20px;
    transform: translate(35px, 0);
    order: 2;
  }
}

/* Адаптация для мобильных устройств */
@media (max-width: 768px) {
  .hero-text {
    align-items: center;
  }

  .hero-container {
    flex-direction: column;
    align-items: center;
    padding: 0 20px;
    box-sizing: border-box;
  }

  .hero-24-7 {
    display: none;
    font-size: 40px;
    text-align: center;
  }

  .hero-main-heading {
    font-size: 35px;
    text-align: center;
    max-width: 100%;
  }

  .hero-subheading {
    font-size: 18px;
    text-align: center;
    max-width: 100%;
  }

  .hero-button {
    width: 100%;
    padding: 15px;
    text-align: center;
    flex-wrap: wrap;
  }
}

/* Адаптация для маленьких экранов (телефоны) */
@media (max-width: 480px) {
  .hero-24-7 {
    font-size: 30px;
  }

  .hero-main-heading {
    font-size: 30px;
  }

  .hero-subheading {
    font-size: 16px;
  }

  .hero-button-master {
    font-size: 12px;
  }

  .hero-button-phone {
    font-size: 12px;
  }
  .hero-button {
    padding: 10px;
  }
}
